summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Niklas Nille Åkerström <Nille.kungen[AT]gmail.com>2010-05-12 23:31:37 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-12 23:31:37 +0200
commit9408924e63d5145de4e3ed1cd4e549f4d8e65fa6 (patch)
tree9faa2216a80dd1b4a63793124c951a8735c79151 /misc
parent33972f981ec6e89f4b6d0ef1ef376ae7d97933de (diff)
downloadslackbuilds-9408924e63d5145de4e3ed1cd4e549f4d8e65fa6.tar.gz
slackbuilds-9408924e63d5145de4e3ed1cd4e549f4d8e65fa6.tar.xz
misc/flashrom: Added to 12.2 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/flashrom/README3
-rw-r--r--misc/flashrom/flashrom.SlackBuild79
-rw-r--r--misc/flashrom/flashrom.info8
-rw-r--r--misc/flashrom/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/misc/flashrom/README b/misc/flashrom/README
new file mode 100644
index 0000000000..35d191e0a8
--- /dev/null
+++ b/misc/flashrom/README
@@ -0,0 +1,3 @@
+flashrom is a utility for reading, writing, verifying and erasing
+flash ROM chips. It's often used to flash BIOS/EFI/coreboot/firmware
+images. flashrom is part of the coreboot project. \ No newline at end of file
diff --git a/misc/flashrom/flashrom.SlackBuild b/misc/flashrom/flashrom.SlackBuild
new file mode 100644
index 0000000000..e70a1767f2
--- /dev/null
+++ b/misc/flashrom/flashrom.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for flashrom
+#
+# Copyright 2009 Niklas "Nille" kerstrm
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by SlackBuilds.org
+
+PRGNAM=flashrom
+VERSION=0.9.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#Set right man path in Makefile
+sed -i 's/\/share//' Makefile
+#create $(PREFIX)/sbin so the flashrom can be installed
+sed -i '/install:/ a\\tmkdir -p $(PREFIX)/sbin' Makefile
+
+make CFLAGS="$SLKCFLAGS -Wall -Werror" || exit 1
+make install PREFIX=$PKG/usr || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $PKG $TMP/$PRGNAM-$VERSION
+fi
diff --git a/misc/flashrom/flashrom.info b/misc/flashrom/flashrom.info
new file mode 100644
index 0000000000..82dbbf1d61
--- /dev/null
+++ b/misc/flashrom/flashrom.info
@@ -0,0 +1,8 @@
+PRGNAM="flashrom"
+VERSION="0.9.0"
+HOMEPAGE="http://www.coreboot.org/Flashrom"
+DOWNLOAD="http://qa.coreboot.org/releases/flashrom-0.9.0.tar.bz2"
+MD5SUM="e9953bc012b07ce20e83f253e5199c2a"
+MAINTAINER="Niklas "Nille" kerstrm"
+EMAIL="Nille.kungen[AT]gmail.com"
+APPROVED="pprkut"
diff --git a/misc/flashrom/slack-desc b/misc/flashrom/slack-desc
new file mode 100644
index 0000000000..2b39ce1bef
--- /dev/null
+++ b/misc/flashrom/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |------------------------------handy-ruler-----------------------------|
+flashrom: flashrom (utility to read/write/verify/erase flash ROM chips)
+flashrom:
+flashrom: flashrom is a utility for reading, writing, verifying and erasing
+flashrom: flash ROM chips.
+flashrom: It's often used to flash BIOS/EFI/coreboot/firmware images.
+flashrom: flashrom is part of the coreboot project.
+flashrom:
+flashrom: homepage: http://www.coreboot.org/Flashrom
+flashrom:
+flashrom:
+flashrom: \ No newline at end of file